import javax.swing.*;
import java.awt.*;
import java.awt.event.*;



class Controller extends JFrame {
	Robot robot;
 	JButton stop_go = new JButton("stop");
	boolean moving = true;
	double vr, vl;
	
	Controller(Robot r) {
		robot = r;
		setTitle("controller");
		stop_go.addActionListener(new Action1());
		JPanel panel = new JPanel();
		panel.add(stop_go);
		add(panel);
		setPreferredSize(new Dimension(200, 100));
		pack();
          	setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      		setVisible(true);
	
	}

	private class Action1 implements ActionListener
   {
      public void actionPerformed(ActionEvent event)
      {
		if (moving) {
			vr = robot.vr;
			vl = robot.vl;
			robot.setVelocity(0,0);
			moving = false;
			stop_go.setText("Go");
		}
		else {
			robot.setVelocity(vr,vl);
			moving = true;
			stop_go.setText("Stop");
		}
			
      }
   }

   public static void main(String[] args) {
	Robot r = new Robot();
	Controller c = new Controller(r);
   }	
}
